﻿using System;
using System.Collections.Generic;
using System.Formats.Asn1;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using CsvHelper;

namespace WpfApp4.model
{
    public class CSVDataProvider : LocalDataProvider,IDataProvider
    {
        private List<Client> ClientList;

        // конструктор класса
        public CSVDataProvider()
        {
            using (var reader = new StreamReader("./data.csv"))
            {
                using (var csv = new CsvReader(
                    reader,
                    CultureInfo.InvariantCulture))
                {
                    // CsvHelper использует отложенное чтение через 
                    // yeld, поэтому сразу преобразуем в список
                    ClientList = csv.GetRecords<Client>().ToList();
                }
            }
        }
        public IEnumerable<Client> getClient()
        {
            return ClientList;
        }
    }
}
